<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE configuration PUBLIC "-//mybatis.org//DTD Config 3.0//EN" "http://mybatis.org/dtd/mybatis-3-config.dtd">
<configuration>
	<settings>
		<setting name="cacheEnabled" value="true" />
		<setting name="lazyLoadingEnabled" value="true" />
		<setting name="mapUnderscoreToCamelCase" value="true" />
		<setting name="defaultExecutorType" value="SIMPLE" />
		<setting name="defaultStatementTimeout" value="25" />
		<setting name="localCacheScope" value="SESSION" />
		<setting name="jdbcTypeForNull" value="NULL" />
	</settings>
	<typeAliases>
		<typeAlias alias="bod" type="kr.co.jinwoosi.clfd.conts.bod.model.Bod" />
		<typeAlias alias="bodSearch" type="kr.co.jinwoosi.clfd.conts.bod.model.BodSearch" />
		<typeAlias alias="bodArti" type="kr.co.jinwoosi.clfd.conts.bod.model.BodArti" />
		<typeAlias alias="bodArtiSearch" type="kr.co.jinwoosi.clfd.conts.bod.model.BodArtiSearch" />
		<typeAlias alias="bodCmnt" type="kr.co.jinwoosi.clfd.conts.bod.model.BodCmnt" />
		<typeAlias alias="bodCmntSearch" type="kr.co.jinwoosi.clfd.conts.bod.model.BodCmntSearch" />
		<typeAlias alias="bodRole" type="kr.co.jinwoosi.clfd.conts.bod.model.BodRole" />
		<typeAlias alias="lang" type="kr.co.jinwoosi.clfd.conts.lang.model.Lang" />
		<typeAlias alias="langSearch" type="kr.co.jinwoosi.clfd.conts.lang.model.LangSearch" />
		<typeAlias alias="site" type="kr.co.jinwoosi.clfd.conts.site.model.Site" />
		<typeAlias alias="siteSearch" type="kr.co.jinwoosi.clfd.conts.site.model.SiteSearch" />
		<typeAlias alias="cmsMenu" type="kr.co.jinwoosi.clfd.conts.menu.model.Menu" />
		<typeAlias alias="cmsMenuSearch" type="kr.co.jinwoosi.clfd.conts.menu.model.MenuSearch" />
		<typeAlias alias="cmsMenuPopup" type="kr.co.jinwoosi.clfd.conts.menu.model.MenuPopup" />
		<typeAlias alias="cmsMenuPopupSearch" type="kr.co.jinwoosi.clfd.conts.menu.model.MenuPopupSearch" />
		<typeAlias alias="cmsMenuConnHist" type="kr.co.jinwoosi.clfd.conts.menu.model.MenuConnHist" />
		<typeAlias alias="cmsMenuConnHistSearch" type="kr.co.jinwoosi.clfd.conts.menu.model.MenuConnHistSearch" />
		<typeAlias alias="cmsMenuSatis" type="kr.co.jinwoosi.clfd.conts.menu.model.MenuSatis" />
		<typeAlias alias="cmsMenuSatisSearch" type="kr.co.jinwoosi.clfd.conts.menu.model.MenuSatisSearch" />
		<typeAlias alias="cmsMenuCont" type="kr.co.jinwoosi.clfd.conts.menu.model.MenuCont" />
		<typeAlias alias="cmsMenuContSearch" type="kr.co.jinwoosi.clfd.conts.menu.model.MenuContSearch" />
		<typeAlias alias="cont" type="kr.co.jinwoosi.clfd.conts.cont.model.Cont" />
		<typeAlias alias="contSearch" type="kr.co.jinwoosi.clfd.conts.cont.model.ContSearch" />
		<typeAlias alias="contItem" type="kr.co.jinwoosi.clfd.conts.cont.model.ContItem" />
		<typeAlias alias="contItemSearch" type="kr.co.jinwoosi.clfd.conts.cont.model.ContItemSearch" />
		<typeAlias alias="contItemHist" type="kr.co.jinwoosi.clfd.conts.cont.model.ContItemHist" />
		<typeAlias alias="contItemHistSearch" type="kr.co.jinwoosi.clfd.conts.cont.model.ContItemHistSearch" />
		<typeAlias alias="contBkmak" type="kr.co.jinwoosi.clfd.conts.cont.model.ContBkmak" />
		<typeAlias alias="plan" type="kr.co.jinwoosi.clfd.conts.plan.model.Plan" />
		<typeAlias alias="planSearch" type="kr.co.jinwoosi.clfd.conts.plan.model.PlanSearch" />
		<typeAlias alias="popup" type="kr.co.jinwoosi.clfd.conts.popup.model.Popup" />
		<typeAlias alias="popupSearch" type="kr.co.jinwoosi.clfd.conts.popup.model.PopupSearch" />
		<typeAlias alias="banner" type="kr.co.jinwoosi.clfd.conts.banner.model.Banner" />
		<typeAlias alias="bannerSearch" type="kr.co.jinwoosi.clfd.conts.banner.model.BannerSearch" />
		<typeAlias alias="media" type="kr.co.jinwoosi.clfd.conts.media.model.Media" />
		<typeAlias alias="mediaSearch" type="kr.co.jinwoosi.clfd.conts.media.model.MediaSearch" />
		
		<typeAlias alias="user" type="kr.co.jinwoosi.clfd.framework.security.model.User" />
		<typeAlias alias="userSearch" type="kr.co.jinwoosi.clfd.framework.security.model.UserSearch" />
		<typeAlias alias="role" type="kr.co.jinwoosi.clfd.framework.security.model.Role"/>
		<typeAlias alias="userRole" type="kr.co.jinwoosi.clfd.framework.security.model.UserRole"/>
		<typeAlias alias="scurRsc" type="kr.co.jinwoosi.clfd.framework.security.model.ScurRsc" />
		<typeAlias alias="scurRscRole" type="kr.co.jinwoosi.clfd.framework.security.model.ScurRscRole" />
		<typeAlias alias="loginLog" type="kr.co.jinwoosi.clfd.framework.security.model.LoginLog" />
		<typeAlias alias="loginLogSearch" type="kr.co.jinwoosi.clfd.framework.security.model.LoginLogSearch" />
		<typeAlias alias="menu" type="kr.co.jinwoosi.clfd.framework.menu.model.Menu" />
		<typeAlias alias="menuSearch" type="kr.co.jinwoosi.clfd.framework.menu.model.MenuSearch" />
		<typeAlias alias="menuRole" type="kr.co.jinwoosi.clfd.framework.menu.model.MenuRole" />
		<typeAlias alias="menuRoleSearch" type="kr.co.jinwoosi.clfd.framework.menu.model.MenuRoleSearch" />
		<typeAlias alias="pgm" type="kr.co.jinwoosi.clfd.framework.pgm.model.Pgm" />
		<typeAlias alias="pgmSearch" type="kr.co.jinwoosi.clfd.framework.pgm.model.PgmSearch" />
		<typeAlias alias="cd" type="kr.co.jinwoosi.clfd.framework.cd.model.Cd" />
		<typeAlias alias="cdCls" type="kr.co.jinwoosi.clfd.framework.cd.model.CdCls" />
		<typeAlias alias="cdDtl" type="kr.co.jinwoosi.clfd.framework.cd.model.CdDtl" />
		<typeAlias alias="file" type="kr.co.jinwoosi.clfd.framework.file.model.FileInfo" />
		<typeAlias alias="fileSearch" type="kr.co.jinwoosi.clfd.framework.file.model.FileSearch" />
		<typeAlias alias="fileItem" type="kr.co.jinwoosi.clfd.framework.file.model.FileItem" />
		<typeAlias alias="fileItemSearch" type="kr.co.jinwoosi.clfd.framework.file.model.FileItemSearch" />
		<typeAlias alias="webLog" type="kr.co.jinwoosi.clfd.framework.weblog.model.WebLog" />
		<typeAlias alias="webLogSearch" type="kr.co.jinwoosi.clfd.framework.weblog.model.WebLogSearch" />

		<typeAlias alias="Company" type="kr.co.jinwoosi.clfd.conts.company.model.Company" />

		<!--제품관리-->
		<typeAlias alias="Prod" type="kr.co.jinwoosi.clfd.conts.prod.model.Prod" />
		<typeAlias alias="ProdSearch" type="kr.co.jinwoosi.clfd.conts.prod.model.ProdSearch" />

		<!-- front관련 -->
		<typeAlias alias="front" type="kr.co.jinwoosi.clfd.front.front.model.Front" />
		<typeAlias alias="frontSearch" type="kr.co.jinwoosi.clfd.front.front.model.FrontSearch" />
		
		<typeAlias  alias="egovMap" type="egovframework.rte.psl.dataaccess.util.EgovMap"/>

		<!-- clfd 관련 -->
		<typeAlias alias="dgnsAsk" type="kr.co.jinwoosi.clfd.clfd.dgns.model.DgnsAsk" />
		<typeAlias alias="dgnsAskSearch" type="kr.co.jinwoosi.clfd.clfd.dgns.model.DgnsAskSearch" />
		<typeAlias alias="dgnsAns" type="kr.co.jinwoosi.clfd.clfd.dgns.model.DgnsAns" />
		<typeAlias alias="dgnsAnsSearch" type="kr.co.jinwoosi.clfd.clfd.dgns.model.DgnsAnsSearch" />
		<typeAlias alias="skTy" type="kr.co.jinwoosi.clfd.clfd.dgns.model.SkTy" />
		<typeAlias alias="skTySearch" type="kr.co.jinwoosi.clfd.clfd.dgns.model.SkTySearch" />
		<typeAlias alias="dgnsDtl" type="kr.co.jinwoosi.clfd.clfd.dgns.model.DgnsDtl" />
		<typeAlias alias="dgnsDtlSearch" type="kr.co.jinwoosi.clfd.clfd.dgns.model.DgnsDtlSearch" />
		<typeAlias alias="dgns" type="kr.co.jinwoosi.clfd.clfd.dgns.model.Dgns" />
		<typeAlias alias="dgnsSearch" type="kr.co.jinwoosi.clfd.clfd.dgns.model.DgnsSearch" />
		<typeAlias alias="dgnsList" type="kr.co.jinwoosi.clfd.clfd.dgns.model.DgnsList" />
		<typeAlias alias="dgnsListSearch" type="kr.co.jinwoosi.clfd.clfd.dgns.model.DgnsListSearch" />
		<typeAlias alias="prodLikeSearch" type="kr.co.jinwoosi.clfd.clfd.prod.model.ProdLikeSearch" />
		<typeAlias alias="prodLike" type="kr.co.jinwoosi.clfd.clfd.prod.model.ProdLike" />
	</typeAliases>

	<typeHandlers>
		<typeHandler handler="org.apache.ibatis.type.LocalDateTimeTypeHandler" />
		<typeHandler handler="org.apache.ibatis.type.LocalDateTypeHandler" />
		<typeHandler handler="org.apache.ibatis.type.LocalTimeTypeHandler" />
	</typeHandlers>
</configuration>